%define	modname	memcached
%define	soname	%{modname}.so
%define	inifile	A91_%{modname}.ini

Summary:	A libmemcached library interface for PHP
Name:		php-%{modname}
Version:	3.1.5
Release:	%mkrel 6
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/memcached
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
Patch0:		memcached-3.1.5-php8.patch
Patch1:		memcached-3.1.5-arginfo_fix.patch
Patch2:		memcached-3.1.5-arginfo_fix2.patch
BuildRequires:	pkgconfig(libmemcached) >= 1.0.17
BuildRequires:	fastlz-devel
BuildRequires:	event-devel
BuildRequires:	dos2unix
BuildRequires:	php-igbinary
BuildRequires:	php-msgpack
BuildRequires:	mercurial
BuildRequires:	php-devel >= 3:8.0.0
Requires:       php >= 3:8.0.0
Requires:       php-common = 3:8.0
Requires:	php-igbinary
Requires:	php-msgpack
Requires:	php-session

%description
This extension uses libmemcached library to provide API for communicating with
memcached servers.

%prep
%autosetup -S hg -n %{modname}-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

cp %{SOURCE1} %{inifile}

find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
	--enable-%{modname}=shared,%{_prefix} \
	--with-zlib-dir=%{_prefix} \
	--enable-memcached-protocol \
	--enable-memcached-session \
	--enable-memcached-json \
	--enable-memcached-igbinary \
	--enable-memcached-msgpack \
	--with-system-fastlz

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%files
%doc CREDITS ChangeLog memcached-api.php package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog
* Thu Sep 02 2021 rapsys <rapsys> 3.1.5-6.mga8
+ Revision: 1743995
- Add second php8 arginfo fix2 patch
- Use upstream php8 patch in place of custom one
  Use upstream patch to fix arginfo warning
  Found in :
- https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257130
- https://cgit.freebsd.org/ports/commit/?id=6d01cdda4513e2d77eeb6f0be051ddd4b0e80546
- https://github.com/php-memcached-dev/php-memcached/commit/c94e014da53cc8a3d0510402f36bc6e5e17bf608
- https://github.com/php-memcached-dev/php-memcached/commit/e8f53777d3f578586f2a32f1b3bdcc3f53e74b39

* Tue Dec 29 2020 mokraemer <mokraemer> 3.1.5-5.mga8
+ Revision: 1665356
- duplicate autopatch
- patch for php8

* Thu Jun 18 2020 mokraemer <mokraemer> 3.1.5-3.mga8
+ Revision: 1596243
- fix dep to current version

* Tue Feb 18 2020 umeabot <umeabot> 3.1.5-2.mga8
+ Revision: 1539288
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Dec 05 2019 mokraemer <mokraemer> 3.1.5-1.mga8
+ Revision: 1464618
- new version 3.1.5
- new version 3.1.5

* Fri Nov 29 2019 mokraemer <mokraemer> 3.1.4-2.mga8
+ Revision: 1463532
+ rebuild (emptylog)

* Mon Oct 07 2019 mokraemer <mokraemer> 3.1.4-1.mga8
+ Revision: 1450053
- new version 3.1.4

* Wed Jan 02 2019 mokraemer <mokraemer> 3.1.3-2.mga7
+ Revision: 1348625
- added missing dep

* Tue Dec 25 2018 mokraemer <mokraemer> 3.1.3-1.mga7
+ Revision: 1345006
- new version 3.1.3

* Mon Dec 24 2018 daviddavid <daviddavid> 3.1.1-2.mga7
+ Revision: 1344803
- rebuild with fixed fastlz devel pkg name

* Fri Dec 21 2018 mokraemer <mokraemer> 3.1.1-1.mga7
+ Revision: 1344245
- enabled more options to make this module used broader
- new version 3.1.1, fixes build issue

* Fri Dec 21 2018 mokraemer <mokraemer> 3.1.0-1.mga7
+ Revision: 1344103
- new version 3.1.0 with PHP 7.3 Support

* Tue Dec 18 2018 blino <blino> 3.0.4-7.mga7
+ Revision: 1342602
- Apply upstream patch to fix build with PHP 7.3
- Remove self-cancelling memcached-2.2.0-build patch and manual revert
- autopatch should be in prep step
+ mokraemer <mokraemer>
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 3.0.4-6.mga7
+ Revision: 1325732
- updated requirement

* Sun Sep 23 2018 umeabot <umeabot> 3.0.4-5.mga7
+ Revision: 1300231
- Mageia 7 Mass Rebuild

* Fri Dec 22 2017 mokraemer <mokraemer> 3.0.4-4.mga7
+ Revision: 1183956
- add igbinary support to memcache

* Tue Dec 19 2017 mokraemer <mokraemer> 3.0.4-3.mga7
+ Revision: 1183471
- enable json support

* Sun Dec 03 2017 mokraemer <mokraemer> 3.0.4-2.mga7
+ Revision: 1181026
+ rebuild (emptylog)

* Fri Nov 24 2017 mokraemer <mokraemer> 3.0.4-1.mga7
+ Revision: 1179060
- php-memcached update

* Tue Nov 21 2017 mokraemer <mokraemer> 3.0.3-2.mga7
+ Revision: 1178514
- missing requires
- obsoleting php-memcache

* Sun Nov 12 2017 zezinho <zezinho> 3.0.3-1.mga7
+ Revision: 1177094
- new version

* Tue Mar 07 2017 rapsys <rapsys> 2.2.0-2.mga6
+ Revision: 1089550
- Rebuild to avoid segfault after php update

* Fri Mar 11 2016 pterjan <pterjan> 2.2.0-1.mga6
+ Revision: 989146
- Fix build
+ oden <oden>
- 2.2.0
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-0.0.RC1.4.mga5
+ Revision: 741814
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-0.0.RC1.3.mga5
+ Revision: 687162
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 2.2.0-0.0.RC1.2.mga5
+ Revision: 616573
- rebuilt for php-5.6.0beta1

* Fri Mar 14 2014 oden <oden> 2.2.0-0.0.RC1.1.mga5
+ Revision: 603469
- 2.2.0RC1

* Fri Jan 24 2014 pterjan <pterjan> 2.1.0-10.mga4
+ Revision: 567610
- Rebuild for new PHP

* Wed Dec 18 2013 oden <oden> 2.1.0-9.mga4
+ Revision: 558468
- rebuilt for php-5.5.7

* Tue Nov 05 2013 fwang <fwang> 2.1.0-8.mga4
+ Revision: 549527
- fix build with libmemcached >= 1.0.17
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 2.1.0-7.mga4
+ Revision: 442687
- rebuilt for php-5.5.0RC3

* Sun Jun 09 2013 colin <colin> 2.1.0-6.mga4
+ Revision: 441277
- Rebuild for php-5.5

* Wed Jan 30 2013 oden <oden> 2.1.0-5.mga3
+ Revision: 393310
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 2.1.0-4.mga3
+ Revision: 375854
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 colin <colin> 2.1.0-3.mga3
+ Revision: 345778
- Rebuild for new PHP

* Mon Jan 07 2013 colin <colin> 2.1.0-2.mga3
+ Revision: 341116
- Rebuild for latest PHP

* Sun Sep 02 2012 fwang <fwang> 2.1.0-1.mga3
+ Revision: 287204
- new version 2.1.0

* Mon Jul 16 2012 colin <colin> 2.0.1-3.mga3
+ Revision: 271237
- Rebuild for new PHP

* Mon Mar 19 2012 luigiwalser <luigiwalser> 2.0.1-2.mga2
+ Revision: 223916
- httpd restart is handled by filetriggers now

* Wed Mar 07 2012 colin <colin> 2.0.1-1.mga2
+ Revision: 220955
- New version: 2.0.1

* Sat Jan 14 2012 fwang <fwang> 1.0.2-9.mga2
+ Revision: 195918
- bump rel

* Sat Jan 14 2012 fwang <fwang> 1.0.2-8.mga2
+ Revision: 195906
- rebuild for new libmemcached

* Sun Jul 17 2011 fwang <fwang> 1.0.2-7.mga2
+ Revision: 125244
- rebuild for new libmemcached

* Sun Feb 06 2011 spuhler <spuhler> 1.0.2-6.mga1
+ Revision: 48114
- removed buildroot definition from .spec
- imported package php-memcached

